com.io7m.jcanephora.core

## Class JCGLVersionNumber

- java.lang.Object
- - com.io7m.jcanephora.core.JCGLVersionNumber

- All Implemented Interfaces:
    JCGLVersionNumberType, Comparable<JCGLVersionNumberType>

      @Generated(value={"Immutables.generator","JCGLVersionNumberType"})
      public final class JCGLVersionNumber
      extends Object
      implements JCGLVersionNumberType

  A structure representing the version number of a given OpenGL implementation, broken into "major", "minor", and "micro" components.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JCGLVersionNumber.Builder` Builds instances of type `JCGLVersionNumber`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLVersionNumber.Builder` | `builder()` Creates a builder for `JCGLVersionNumber`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `JCGLVersionNumber` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `major`, `minor`, `micro`.
    `int` | `major()`
    `int` | `micro()`
    `int` | `minor()`
    `static JCGLVersionNumber` | `of(int major, int minor, int micro)` Construct a new immutable `JCGLVersionNumber` instance.
    `String` | `toString()` Prints the immutable value `JCGLVersionNumber` with attribute values.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLVersionNumberType

      `compareTo`

- - ### Method Detail

    - #### major

          public int major()

      Specified by:
        `major` in interface `JCGLVersionNumberType`
      Returns:
        The major version of the implementation.

    - #### minor

          public int minor()

      Specified by:
        `minor` in interface `JCGLVersionNumberType`
      Returns:
        The minor version of the implementation.

    - #### micro

          public int micro()

      Specified by:
        `micro` in interface `JCGLVersionNumberType`
      Returns:
        The micro version of the implementation.

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `JCGLVersionNumber` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `major`, `minor`, `micro`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `JCGLVersionNumber` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static JCGLVersionNumber of(int major,
                                             int minor,
                                             int micro)

      Construct a new immutable `JCGLVersionNumber` instance.
      Parameters:
        `major` - The value for the `major` attribute
        `minor` - The value for the `minor` attribute
        `micro` - The value for the `micro` attribute
      Returns:
        An immutable JCGLVersionNumber instance

    - #### builder

          public static JCGLVersionNumber.Builder builder()

      Creates a builder for `JCGLVersionNumber`.
      Returns:
        A new JCGLVersionNumber builder

Copyright © 2017 <code@io7m.com> http://io7m.com